export const Marks = ({
  data,
  yScale,
  xScale,
  xValue,
  x2Value,
  yValue,
  tooltipFormat,
}) =>
  data.map((d, i) => (
    <g transform={`translate(0, ${-yScale.bandwidth() / 2})`}>
      <rect
        className="mark"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d))}
        width={xScale(xValue(d))}
        height={yScale.bandwidth()}
      >
        <title>{xValue(d) + '%'}</title>
      </rect>
      <g>
      	<text
          key={i}
          style={{ textAnchor: 'end' }}
          x={xScale(xValue(d)) + 3}
          y={yScale(yValue(d)) + yScale.bandwidth() / 2}
          dy=".32em"
          style={{textAnchor: 'start'}}
        >
          {`${xValue(d)}%`}
        </text>
      </g>
      <rect
        className="rect-2"
        key={yValue(d)}
        x={0}
        y={yScale(yValue(d)) + yScale.bandwidth()}
        width={xScale(x2Value(d))}
        height={yScale.bandwidth()}
      >
        <title>{x2Value(d) + '%'}</title>
      </rect>
      <g>
      	<text
          key={i}
          style={{ textAnchor: 'end' }}
          x={xScale(x2Value(d)) + 3}
          y={yScale(yValue(d)) + yScale.bandwidth() + 7}
          dy=".32em"
          style={{textAnchor: 'start'}}
        >
          {`${x2Value(d)}%`}
        </text>
      </g>
    </g>
  ));
